For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Check the status of a write operation

GET
/v1/admin/write-status/:root_job_id
GET
/v1/admin/write-status/:root_job_id
$curl https://api.propexo.com/v1/admin/write-status/root_job_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "write_status": "PARTIAL_SUCCESS",
3 "errors": [
4 "Failed to update record 12345 due to validation error on field 'email'."
5 ],
6 "created_record_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
7}
Query for the status of a write operation created via the API. The status of the write operation, as well as any encountered errors, is provided.
Was this page helpful?
Previous

Retry a write operation

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

root_job_idstringRequired
The job ID of the write job to check the status of

Response

Successful response
write_statusenum

The status for the write operation. “SUCCESS” means that the write operation was seen as a complete success and the data has been written. “PARTIAL_SUCCESS” means that a portion of the write operation succeeded, but it was not fully successful. “FAILURE” means that the write operation completely failed.”PENDING” means that the write operation is pending completion of any status.

Allowed values:
errorslist of strings
created_record_idstring or null
The ID may be null if the job didn't run correctly or if the given PMS does not generate a new record ID for create operations. Due to varying PMS workflow requirements, some Propexo jobs will spawn other jobs. This will return the first ID created in the process and could be related to a different model than expected. This is not intended to be a complete solution and could have gaps.

Errors

400
Bad Request Error